# Cancel integration execution

`DELETE /workspaces/:workspace/integrations/:hash_id/execs/:exec_id`

Cancel a running execution. No-op on terminal-state executions.

**Required Scopes:** `INTEGRATION_USE`

## URL Parameters

```typescript
interface URLParameters {
  /** The human-readable ID of the workspace */
  workspace: string; // Example: "my-company"
  /** The hash ID of the integration */
  hash_id: string; // Example: "abc123def456"
  /** Execution ID returned by the execute endpoint */
  exec_id: string; // Example: "9214386e-7633-4d2b-ac66-fcfbaf5ea99b"
}
```

## Response Example

**Status:** `204 Execution cancellation signaled (or already in terminal state)`


---
Original source: https://buddy.works/docs/api/integrations/execs/delete